package com.syc.slm.slmbi.controller;

import com.syc.slm.common.core.util.R;
import com.syc.slm.slmbi.service.BusinessConfigService;
import com.syc.slm.slmbi.vo.BusinessConfigVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * slm-bi
 * 系统业务配置
 * @author : lin
 * @date : 2021-04-20 09:23
 **/
@RequestMapping("/{appId}/business")
@RestController
@Api(value = "系统业务配置接口", tags = "系统业务配置接口")
public class BusinessConfigController extends BaseRestController{

    @Autowired
    private BusinessConfigService businessConfigService;

    @GetMapping
    @ApiOperation("数据表查询")
    @ApiImplicitParam(name = "appId", value = "租户id",dataTypeClass = String.class)
    public R<List<BusinessConfigVo>> selectConfigList(@PathVariable String appId) {
        return call(()->(businessConfigService.selectConfigList()));
    }


    @GetMapping("{/{id}")
    @ApiOperation("数据表查询")
    @ApiImplicitParams({
        @ApiImplicitParam(name = "appId", value = "租户id",dataTypeClass = String.class),
        @ApiImplicitParam(name = "id", value = "主键id",dataTypeClass = String.class)
    })
    public R<BusinessConfigVo> selectOneConfig(@PathVariable String appId,@PathVariable String id) {
        return call(()->(businessConfigService.selectOneConfig(id)));
    }
}
